//                                                                            //
// TRNOTE This file contains one section of translatable text at the bottom   //
//        of the file.                                                        //
//                                                                            //
//                        Copyright statement                                 //
//  (C) Copyright IBM Corporation, 2001.  All Rights Reserved.                //
//  Notice to U.S. Government Users--Materials Related to Restricted Rights.  //
var NLS = "";
var currentClass = 0;
var Class = new Array();
var activeTabColour   = "#FFFF00";
var inactiveTabColour = "#FFFFFF";
var feedbackName    = "";
var feedbackEmail   = "";
var feedbackComment = "";
var search = new Array();
search[0]  = new defineSearch();
search[1]  = new defineSearch();
var indexCount = 24;
var bookmark = new Array();
var noPDF = "dfhpj dfhg6";
function defineClass(fileName, href)
{
   this.fileName     = fileName;
   this.href         = "../" + href;
   this.openCategory = -1;
   this.category     = new Array();
}
function defineCategory(fileName, title, href)
{
   this.fileName     = fileName;
   this.title        = title;
   this.href         = href;
   this.currentTopic = -1;
   this.openTopics   = ",";
   this.topic        = new Array();
}
function defineTopic(level, title, href)
{
   this.level  = level;
   this.parent = false;
   this.title  = title;
   this.href   = href.toUpperCase();
}
function defineSearch()
{
   this.free_text = "";
   // TRNOTE DO NOT translate the next four lines
   this.connector = new Array(); this.query_word = new Array();
   this.connector[0] = "and";    this.query_word[0] = "";
   this.connector[1] = "and";    this.query_word[1] = "";
   this.connector[2] = "and";    this.query_word[2] = "";
   this.ling         = "exact";  this.limit_number  = 20;
   this.IndexOptions = new Array();
   this.IndexOptions[0] = true;
   for (i=1;i<indexCount;i++)
      this.IndexOptions[i] = false;
   this.Data = "";
}
function defineBookmark(href,title)
{
   this.href  = href;
   this.title = title;
}
function switchClass(newClass)
{
   if (newClass==currentClass) return;
   Class[currentClass].href = main.location.href;
   main.location.href = Class[newClass].href;
   setTabColours(currentClass,newClass);
   currentClass = newClass;
}
function setClass(newClass)
{
   if (newClass==currentClass) return;
   setTabColours(currentClass,newClass);
   currentClass = newClass;
}
function setTabColours(oldClass,newClass)
{
   if (isNN)
   {
      if (oldClass>-1)
      {
         masthead.document["B"+oldClass+"A"].visibility = "hidden";
         masthead.document["B"+oldClass+"I"].visibility = "visible";
      }
      masthead.document["B"+newClass+"I"].visibility = "hidden";
      masthead.document["B"+newClass+"A"].visibility = "visible";
   }
   if (isIE)
   {
      if (oldClass>-1)
         masthead.document.all['B'+oldClass].style.color = inactiveTabColour;
      masthead.document.all['B'+newClass].style.color = activeTabColour;
   }
}
function buildFrames()
{
   rows = parent.isIE ? "66,*,17" : "72,*,20";
   fs = '<frameset rows="'+rows+'"'
      +          ' border="0" framespacing="0" frameborder="no"'
      +          ' onload="navigation.location.href=\'../infoc/home.html\';">'
      +   '<frame name="masthead" src="../infoc/masthead.html"'
      +         ' marginheight="0" marginwidth="0" scrolling="no">'
      +   '<frameset cols="200,*"'
      +            ' border="3" framespacing="3" frameborder="no">'
      +     '<frame name="navigation" src="../infoc/dkblue.html"'
      +           ' marginheight="0" marginwidth="0">'
      +     '<frame name="main" src="../infoc/infohome.html"'
      +           ' framespacing="0" topmargin="0" leftmargin="8"'
      +           ' marginheight="0" marginwidth="8">'
      +   '</frameset>'
      +   '<frame name="footer" src="../infoc/footer.html"'
      +         ' framespacing="0" marginheight="0" marginwidth="0">'
      + '</frameset>';
   document.writeln(fs);
}
NLS = parent.NLS;
primaryLanguage = parent.primaryLanguage;
/*alert("parent.bookmarks = "+parent.bookmarks);*/
bookmarks = parent.bookmarks.split('|');
/*alert("bookmarks.length = "+bookmarks.length);*/
for (i=0;i<bookmarks.length-1;i++)
{
   bkmk = bookmarks[i].split(',');
   bookmark[i] = new defineBookmark(bkmk[0],bkmk[1]);
}
