//                        Copyright statement                                 //
//  (C) Copyright IBM Corporation, 2001.  All Rights Reserved.                //
//	 Notice to U.S. Government Users--Materials Related to Restricted Rights.  //
//----------------------------------------------------------------------------//
//TRNOTE Translate the strings enclosed in double quotation marks.            //
//----------------------------------------------------------------------------//
// The product title
var _ProductTitle   = "CICS<sup>&reg;<\/sup> Transaction Server for z\/OS<sup>&trade;<\/sup>";
// The name of the Information Center
//var _InfoCenter = "CICS Transaction Server for z/OS";
var _InfoCenter   = "CICS<sup>&reg;<\/sup> Transaction Server for z\/OS<sup>&trade;<\/sup>";
// The copyright statement
var _Copyright_statement = "Copyright statement";
var _Copyright = "(c) Copyright IBM Corporation, 2001. All rights reserved.";
var _US_Gov_notice = "Notice to U.S.Government Users--"
                   + "Materials Related to Restricted Rights.";
// Error messages if frames are not supported
var _noFrames1 = "Your browser does not have support for frames "
               + "or the support is not enabled.";
var _noFrames2 = "Requirements: Your browser must support frames "
               + "and have the support enabled.";
var _noFrames3 = "The recommended browsers are "
               + "Netscape Navigator version 6.0 or higher and "
               + "Microsoft Internet Explorer 5.0 or higher.";
// The tabs at the left-hand side of the task bar and associated window.status text
var _homeTab = "Home";           var _homeTabAlt = "CICS Information Center home page";
var _taskTab = "Tasks";          var _taskTabAlt = "CICS tasks";
var _concTab = "Concepts";       var _concTabAlt = "CICS concepts";
var _refrTab = "Reference";      var _refrTabAlt = "CICS reference information";
// The tabs at the right-hand side of the task bar and associated window.status text
var _srchTab = "Searches";       var _srchTabAlt = "Show saved searches";
var _bkmkTab = "Bookmarks";      var _bkmkTabAlt = "Show the saved bookmarks";
var _helpTab = "Help";           var _helpTabAlt = "Help";
// Descriptions of the three classes of information, as used in the home page
var _taskDescr = "Select <b>"+_taskTab+"</b> in the masthead to get "
               + "a list of tasks required to set up, run and maintain a CICS system.";
var _concDescr = "Select <b>"+_concTab+"</b> in the masthead to get "
               + "background information about features of CICS.";
var _refrDescr = "Select <b>"+_refrTab+"</b> in the masthead to get "
               + "reference information that you may need to complete your tasks.";
//----------------------------------------------------------------------------//
//     Frame sizes                                                            //
//----------------------------------------------------------------------------//
// The heights of the header and footer frames are dependent on the browser   //
// being used and may also be dependent on the language so they are included  //
// here for possible adjustment during translation.  It is expected that for  //
// the Chinese, Japanese and Korean the heights will need to be increased.    //
// These heights are expressed in pixels.                                     //
var frameHeightsNN4 = "77,*,20";    // Frame heights for Netscape Navigator 4
var frameHeights    = "71,*,17";    // Frame heights for other browsers    
//----------------------------------------------------------------------------//
//     The search bar                                                         //
//----------------------------------------------------------------------------//
// In English the search bar looks like:
//
//                     -------------------      ----------------------
//         Search for |                   | in |                    |v|  [Go]
//                     -------------------      ----------------------
//
// where the two boxes represent the text box in which the user enters the
// character string to be searched for, and the selection box in which the user
// selects the area of the library to be searched.
//
// It is not essential to use a sentence structure in other languages.
//
var _argLeft            = "Search for";            // Text to left of search argument
var _argRight           = "";                      // Text to right of search argument
var _scpLeft            = "in";                    // Text to left of search scope
var _scpRight           = "";                      // Text to right of search scope
// The hover text for the search argument and the search scope.  The hover text
// for the search scope depends on whether or not this is running on a server
// with NetQuestion installed.  If there is no NetQuestion then there is no
// searching but table lookup is still possible.
var _argHover   = "Enter the string you want to search for";
var _scpHover   = "Select the table you want to look up";
var _scpHoverNQ = "Select the part of the library you want to search"
                + " or the table you want to look up";
// The width of the search argument field.  The width of the search argument field
// depends on the browser but it could also be adjusted according to the language.
var searchArgumentLengthNN = 34;    // Width for Netscape Navigator
var searchArgumentLength   = 40;    // Width for other browsers
// List items defining the scope of the search
var _anywhere           = "the whole library";     // Dropdown item
var _Installation       = "Installation";          // Dropdown item
var _Administration     = "Administration";        // Dropdown item
var _Programming        = "Programming";           // Dropdown item
var _Diagnosis          = "Diagnosis";             // Dropdown item
var _Communication      = "Communication";         // Dropdown item
var _Special            = "Special topics";        // Dropdown item
var _CPSM               = "CICSPlex SM";           // Dropdown item
var _API                = "API commands";          // Dropdown item
var _APIP               = "API parameters";        // Dropdown item
var _SPI                = "SPI commands";          // Dropdown item
var _SPIP               = "SPI parameters";        // Dropdown item
var _Messages_and_codes = "Messages and codes";    // Dropdown item
var _Trace_entries      = "Trace entries";         // Dropdown item
var _Resource_defns     = "Resource definitions";  // Dropdown item
var _System_init        = "System initialization"; // Dropdown item
var _Glossary           = "the glossary";          // Dropdown item
var _Help_information   = "help information";      // Dropdown item
// The "lookup" modifier is appended to some of the above items
var _lookup             = " (lookup)";             // Dropdown item modifier
// The text for the button that starts the search and the associated onMouseOver text
var _Go                 = "Go";                    // Action button
var _Perform_search     = "Perform the search";    // MouseOver text for Go button
//----------------------------------------------------------------------------//
//     Words and phrases used in the search panel                             //
//----------------------------------------------------------------------------//
var _Enter_phrase       = "Enter the word or phrase you are searching for:";
var _use_wildcards      = "(use wildcards: * for any number of characters"
                        + " or ? for a single character):";
var _Display_first      = "Display the first";
var _documents_found    = "documents found";
var _Search_using       = "Search for documents using";
var _fuzzy              = "fuzzy";              // Selector item
var _exact              = "exact";              // Selector item
var _word_matches       = "word matches";
var _Clear              = "Clear";              // Action button
var _Help               = "Help";               // Action button
//----------------------------------------------------------------------------//
//     Words used in the search results panel                                 //
//----------------------------------------------------------------------------//
var _and = "and";       var _AND = "AND";
var _or  = "or";        var _OR  = "OR";
var _not = "and not";   var _NOT = "AND NOT";
var _Search_request        = "Search request";
var _additional_qualifiers = "additional qualifiers";
var _Rank                  = "Rank";
var _good_match            = "good match";
var _poor_match            = "poor match";
var _No_documents          = "No documents found";
var _One_document_listed   = "One document listed";
var _documents_listed      = "documents listed";
//----------------------------------------------------------------------------//
//     Hover text for the twisties and bullets in the navigation panel        //
//----------------------------------------------------------------------------//
var _Expand   = "Expand";          // Hover text for closed (right-pointing) twisty
var _Contract = "Contract";        // Hover text for open (down-pointing) twisty
var _Document = "Document";        // Hover text for document bullet
//----------------------------------------------------------------------------//
//     Tabs and status bar text for the footer bar                            //
//----------------------------------------------------------------------------//
var _Privacy  = "Privacy";     var _Privacy_  = "Privacy statement";
var _Legal    = "Legal";       var _Legal_    = "Legal information";
var _Feedback = "Feedback";    var _Feedback_ = "Sending feedback to IBM";
var _Library  = "Library";     var _Library_  = "The complete library of HTML books";
var _ToC      = "Contents";    var _ToC_      = "Table of contents";
var _Previous = "Previous";    var _Previous_ = "Previous page in this book";
var _Top      = "Top";         var _Top_      = "Top of this page";
var _Bookmark = "Bookmark";    var _Bookmark_ = "Add or remove bookmark";
var _Bottom   = "Bottom";      var _Bottom_   = "Bottom of this page";
var _Next     = "Next";        var _Next_     = "Next page in this book";
var _Index    = "Index";       var _Index_    = "The index of this book";
var _PDF      = "PDF";         var _PDF_      = "The PDF file for this book";
var _Synch    = "Synchronize"; var _Synch_    = "Synchronize the navigation panel";
//----------------------------------------------------------------------------//
//     Text for messages for the Feedback form                                //
//----------------------------------------------------------------------------//
var _feedbackNone   = "You have not entered any comments.  "
                    + "Please enter your comments in the space provided.";
var _feedbackThanks = "Thank you for your comments.";
//----------------------------------------------------------------------------//
//     Language definitions                                                   //
//----------------------------------------------------------------------------//
// Add new language definitions to the following function.  For each language //
// include the two-character abbreviation used by the NetQuestion CGI and the //
// name of the language in that language.  The two-character abbreviation is  //
// also used as the name of the directory to contain the HTML files.  This    //
// function is invoked by the language selection panel in selectl.html.       //
// Eventually this function should be moved to selectl.js so that it is not   //
// duplicated in every nls.js file.                                           //
function defineLanguages()
{
   Languages[Languages.length] = new Language("dk","Dansk");
   Languages[Languages.length] = new Language("de","Deutsch")
   Languages[Languages.length] = new Language("es","Espagnol");
   Languages[Languages.length] = new Language("fi","Finnish");
   Languages[Languages.length] = new Language("fr","Francais");
   Languages[Languages.length] = new Language("it","Italiano");
   Languages[Languages.length] = new Language("no","Norsk");
   Languages[Languages.length] = new Language("se","Svenska");
   Languages[Languages.length] = new Language("br","Portugese (Brazilian)");
}
//  End of file                                                               //
