//                        Copyright statement                                 //
//  (C) Copyright IBM Corporation, 2000.  All Rights Reserved.                //
//  Notice to U.S. Government Users--Materials Related to Restricted Rights.  //
var version = "1.0";
var debug   = "";
var NLS = "";
var currentClass = -1;
var Class = new Array();
var scrollAmount = 0;
var activeTabColour   = "#FFFF00";
var inactiveTabColour = "#FFFFFF";
var feedbackemail   = "";
var feedbackName    = "";
var feedbackComment = "";
var search = new Array();
search[0]  = new defineSearch();
search[1]  = new defineSearch();
var searchInProgress = 0;
var indexCount = 24;
var bookmark = new Array();
var noPDF = "dfhpj dfhpk dfhg6";
var footerTabs = 0;
var footerHref = new Array();
footerHref[0] = "../infoc/privacy.html";
footerHref[1] = "../infoc/legal.html";
footerHref[2] = "../prod/feedback.html";
footerHref[3] = "../prod/library.html";
footerPrivacy  =    1;
footerLegal    =    2;
footerFeedback =    4;
footerStandard =    7;
footerPrev     =    8;
footerTopBot   =   48;
footerNext     =   64;
footerBookNav  =  120;
var isIE = navigator.appName.indexOf("Microsoft") > -1;
var isNN = navigator.appName.indexOf("Netscape")  > -1;
var isNN4 = isNN && parseInt(navigator.appVersion)==4;
var isNN5 = isNN && parseInt(navigator.appVersion)>=5;
if (self!=top)
   top.location = self.location;
function initialise()
{
   cookie    = unescape(getCookie("DFHIC"));
   NLS       = cookie.substring(0,cookie.indexOf('|'));
   bookmarks = cookie.substring(cookie.indexOf('|')+1).split('|');
   primaryLanguage = (NLS=="") ? "en" : NLS.substring(0,2);
   for (i=0;i<bookmarks.length-1;i++)
   {
      bkmk = bookmarks[i].split(',');
      bookmark[i] = new defineBookmark(bkmk[0],bkmk[1],bkmk[2]);
   }
   HTMLpath = location.href.substring(0,location.href.lastIndexOf('/'))+'/html/';
}
function defineClass(fileName, href)
{
   if (href!='') href = HTMLpath + href;
   this.fileName     = fileName;
   this.home         = href;
   this.href         = href;
   this.scroll       = 0;
   this.openCategory = -1;
   this.category     = new Array();
}
function defineCategory(fileName, title, href)
{
   if (href!='') href = HTMLpath + href;
   this.fileName     = fileName;
   this.title        = title;
   this.home         = href;
   this.href         = href;
   this.scroll = 0;
   this.currentTopic = -1;
   this.openTopic    = -1;
   this.openTopics   = ",";
   this.topic        = new Array();
}
function defineTopic(level, title, href)
{
   this.level  = level;
   this.parent = false;
   this.title  = title;
   this.href   = href;
   this.scroll = 0;
}
function defineSearch()
{
   this.free_text = "";
   this.connector = new Array(); this.query_word = new Array();
   this.connector[0] = "and";    this.query_word[0] = "";
   this.connector[1] = "and";    this.query_word[1] = "";
   this.connector[2] = "and";    this.query_word[2] = "";
   this.ling         = "exact";  this.limit_number  = 20;
   this.IndexOptions = new Array();
   this.IndexOptions[0] = true;
   for (i=1;i<indexCount;i++)
      this.IndexOptions[i] = false;
   this.Data = "";
}
function defineBookmark(href,scroll,title)
{
   this.href   = href;
   this.scroll = scroll;
   this.title  = title;
}
function getCookie(cookieName)
{
   var cookies = document.cookie+";";
   var pos = cookies.indexOf(cookieName+"=");
   if (pos>-1)
   {
      pos += cookieName.length+1;
      return cookies.substring(pos,cookies.indexOf(";",pos));
   }
   else
      return "";
}
function setCookie(cookieName,cookieValue)
{
   var nextyear = new Date();
   nextyear.setFullYear(nextyear.getFullYear() + 1);
   document.cookie = cookieName + "=" + cookieValue + ";"
                   + "expires=" + nextyear.toGMTString() + ";";
}
function setCookieVariables()
{
   setCookie("DFHIC",escape(NLS+'|'+bookmarks));
}
function switchClass(newClass)
{
   if (newClass==currentClass) return;
   if (currentClass>-1 && searchInProgress!=1)
   {
      Class[currentClass].href = main.location.href;
      if (!isNN4)
         Class[currentClass].scroll = main.document.body.scrollTop;
   }
   if (newClass!=masthead.bkmkClass)
   {
      scrollAmount = Class[newClass].scroll;
      var href = Class[newClass].href;
      if (scrollAmount==0 || href.indexOf('#')<0)
         main.location.href = href;
      else
         main.location.href = href.substring(0,href.indexOf('#'));
   }
   setTabColours(currentClass,newClass);
   currentClass = newClass;
   if (currentClass!=masthead.srchClass)
      searchInProgress = 0;
}
function scrollMain()
{
   main.scrollTo(0,scrollAmount);
   scrollAmount = 0;
}
function setFooter(tabFlag)
{
   if (tabFlag!=footerTabs)
      footer.setTabs(tabFlag);
   if (scrollAmount!=0)
   {
      if (isIE)
         main.document.body.onload = scrollMain;
      else if (isNN5)
         scrollMain();
      else
         main.onload = scrollMain;
   }
   main.focus();
}
function foot(tabFlag)
{
   searchInProgress = 0;
   text =
          '<hr class="bottom" size="1" noshade>\n'
        + '<a class="copyright" href="../infoc/copyright.html">\n'
        + _Copyright + '\n'
        + '</a>\n'
        + '<a name="Bot_Of_Page"></a>\n';
   main.document.write(text);
   setFooter(tabFlag);
}
function helpFoot(prevHref,nextHref)
{
   footerHref[3] = "../help/" + prevHref;
   footerHref[4] = main.location.pathname + "#Top_Of_Page";
   footerHref[5] = main.location.pathname + "#Bot_Of_Page";
   footerHref[6] = "../help/" + nextHref;
   foot( footerStandard
       + (prevHref=="" ? 0 : footerPrev)
       + footerTopBot
       + (nextHref=="" ? 0 : footerNext)
       );
}
function setLinks(toc,prevHref,nextHref,idx)
{
   var file = main.location.pathname;
   var path = file.substring(0,file.replace(/\\/g,"/").lastIndexOf('/')+1);
   var bookid = file.substr(file.replace(/\\/g,"/").lastIndexOf('/')+1,5)
   if (file.indexOf('dfhpk')>0)
      bookid = 'dfhpk';
   footerHref[3] = path + prevHref + "#Top_Of_Page";
   footerHref[4] = file            + "#Top_Of_Page";
   footerHref[5] = file            + "#Bot_Of_Page";
   footerHref[6] = path + nextHref + "#Top_Of_Page";
   foot( footerStandard
       + ( prevHref==""             ? 0 : footerPrev )
       + footerTopBot
       + ( nextHref==""             ? 0 : footerNext )
       );
}
function setClass(newClass)
{
   if (newClass==currentClass) return;
   setTabColours(currentClass,newClass);
   currentClass = newClass;
}
function setTabColours(oldClass,newClass)
{
   if (isNN4)
   {
      if (oldClass>-1)
      {
         masthead.document["B"+oldClass+"A"].visibility = "hidden";
         masthead.document["B"+oldClass].visibility = "visible";
      }
      masthead.document["B"+newClass].visibility = "hidden";
      masthead.document["B"+newClass+"A"].visibility = "visible";
   }
   else
   {
      if (oldClass>-1)
         masthead.document.getElementById('B'+oldClass).style.color = inactiveTabColour;
      masthead.document.getElementById('B'+newClass).style.color = activeTabColour;
   }
}
function buildFrames()
{
   initialise();
   frameHeights = isNN4 ? frameHeightsNN4 :
                          frameHeights    ;
   fs = '<frameset rows="'+frameHeights+'"'
      +          ' border="0" framespacing="0" frameborder="no">'
      +   '<frame name="masthead" src="html/infoc/mhblank.html"'
      +         ' marginheight="0" marginwidth="0" scrolling="no">'
      +   '<frameset cols="200,*"'
      +            ' border="6" framespacing="6" frameborder="no">'
      +     '<frame name="navigation" src="html/infoc/dkblue.html"'
      +           ' marginheight="0" marginwidth="0">'
      +     '<frame name="main" src="html/infoc/white.html"'
      +           ' framespacing="0" topmargin="0" leftmargin="4"'
      +           ' marginheight="0" marginwidth="4">'
      +   '</frameset>'
      +   '<frame name="footer" src="html/infoc/footer.html"'
      +         ' framespacing="0" marginheight="0" marginwidth="0">'
      + '</frameset>';
   nofs = (isNN4) ? ''
                 : '<noframes>'
                 + '<p><strong>' + _noFrames1 + '</strong></p>'
                 + '<p>' + _noFrames2 + ' ' + _noFrames3 + '</p>'
                 + '</noframes>'
                 ;
   document.write(fs + nofs);
}
